{% extends "layouts/base.html" %}
{% load static don_extras %}

{% block content %}
<div class="page-statistics">
    <h1 class="mb-5">{{ title }}</h1>
    <h2 class="mt-md">Top {{ top_programming_languages | length }} programmeertalen</h2>
    <ol class="top-programming-languages list-reset mb-lg">
        {% for language, values in top_programming_languages %}
        <li class="programming-language">
            <span class="programming-language__dot" style="--language-color: {{ values.color }};"></span>
            {{ language }} ({{ values.usage_count }})
        </li>
        {% endfor %}
    </ol>
    <a id="totaal"></a>
    <div class="time-ranges mb-5">
        <a href="?periode=laatste-maand#totaal" class="button{% if time_range == 'last-month' %} button--primary{% endif %} mr-2">Laatste maand</a>
        <a href="?periode=laatste-jaar#totaal" class="button {% if time_range == 'last-year' %} button--primary{% endif %}">Laatste jaar</a>
    </div>
    <div class="card card--padding-md mb-sm">
        <h2>Aantal organisaties</h2>
        <p class="card__sub-title">Het aantal organisaties met een API of repository op deze site.</p>
        <div class="chart chart--line-chart" id="js-number-of-orgs">
            <div class="chartist-tooltip js-chartist-tooltip-orgs hidden">
                <span class="chartist-tooltip-meta"></span><br>
                <span class="chartist-tooltip-value"></span>
            </div>
        </div>
    </div>
    <div class="card card--padding-md mb-sm">
        <h2>Aantal API's</h2>
        <p class="card__sub-title">Het aantal API's op deze site.</p>
        <div class="chart chart--line-chart" id="js-number-of-apis-chart">
            <div class="chartist-tooltip js-chartist-tooltip hidden">
                <span class="chartist-tooltip-meta"></span><br>
                <span class="chartist-tooltip-value"></span>
            </div>
        </div>
    </div>
    <div class="card card--padding-md mb-lg">
        <h2>Aantal repository's</h2>
        <p class="card__sub-title">Het aantal repository's op deze site.</p>
        <div class="chart chart--line-chart" id="js-number-of-repos">
            <div class="chartist-tooltip js-chartist-tooltip-repos hidden">
                <span class="chartist-tooltip-meta"></span><br>
                <span class="chartist-tooltip-value"></span>
            </div>
        </div>
    </div>

    <h2>API Design Rules</h2>
    <div class="vertical-sm first-row mb-7 two-columns">
        <div class="w-50 card card--padding-md mb-md">
            <h3>Implementatie API Design Rules</h3>
            <p class="card__sub-title mb-md">Het percentage van de API's dat aan een API Design Rule voldoet.</p>
            {% for name, title, percentage in api_design_rules_per_rule %}
            <div class="bar-chart">
                <p class="font-weight-600 mb-xs">{{ name }}: {{ title }}</p>
                <div class="bar-chart__progress">
                    <div class="bar-chart__progress__bar" style="width:{{ percentage }}%">
                        <span class="bar-chart__progress__bar__percentage">{{ percentage }}%</span>
                    </div>
                </div>
                <div class="bar-chart__labels">
                    <span class="bar-chart__labels__label">0%</span>
                    <span class="bar-chart__labels__label">100%</span>
                </div>
            </div>
            {% endfor %}
        </div>
        <div class="w-50 card mb-6 card-api-design-rules-successes">
            <div class="card__header">
                <h3>Verdeling API score</h3>
                <p class="card__sub-title">Het aantal API's per API Design Rule score.</p>
            </div>
            <div class="chart" id="js-bar-chart-api-design-rules-successes"></div>
        </div>
    </div>

</div>
{% endblock %}

{% block head %}
<link href="{% static 'dist/statistics.css' %}" rel="stylesheet">
{% endblock %}

{% block tail %}
{% for name, data in graph_data.items %}
{{ data | graph_data_script:name }}
{% endfor %}

<script src="{% static 'dist/statistics.js' %}" defer></script>
    {% endblock %}
